gnome-bluetooth3 (47.1-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Build-depend on gobject-introspection instead of
    libgirepository1.0-dev
  * Explicitly build-depend on gir1.2-gio-2.0-dev for the required GIR XML

  [ Jeremy Bícha ]
  * Move Salsa repo from gnome-bluetooth3 to gnome-bluetooth
  * Opt into Salsa CI
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 14 Sep 2025 08:26:26 -0400

gnome-bluetooth3 (47.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Oct 2024 09:41:44 -0400

gnome-bluetooth3 (47.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 08:15:26 -0400

gnome-bluetooth3 (47.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 13 Sep 2024 12:38:22 +0200

gnome-bluetooth3 (47~rc-1) experimental; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Fri, 06 Sep 2024 10:33:46 +0200

gnome-bluetooth3 (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum GTK4 & libadwaita
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Aug 2024 21:59:33 -0400

gnome-bluetooth3 (46.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Mar 2024 11:37:23 -0400

gnome-bluetooth3 (46~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libadwaita to 1.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Feb 2024 07:10:43 -0500

gnome-bluetooth3 (42.8-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Feb 2024 08:06:19 -0500

gnome-bluetooth3 (42.7-2) unstable; urgency=medium

  * Team upload
  * d/control: Explicitly build-depend on gir1.2-girepository-2.0.
    This is imported by tests/integration-test.py, and will need to switch
    from being part of gir1.2-glib-2.0 to being its own independent
    binary package during the GNOME 46 cycle, so build-depend on it
    separately.  It's also pulled in by libgirepository1.0-dev, but
    that's less obvious.
    Build-depending on the canonical name will also help to keep track
    of the packages that will need adjustment when pygobject switches
    from GIRepository-2.0 to GIRepository-3.0.
  * Add proposed patch to fix build-time test regression with dbusmock
    0.30.0. (Closes: #1058116)
    One test will still fail with dbusmock 0.30.1, which is a dbusmock
    regression fixed in 0.30.2.
  * d/control, d/rules: Don't build documentation with -Pnodoc or -B
  * d/control: Add ${gir:Depends}, ${gir:Provides} where appropriate.
    This allows users of GnomeBluetooth-3.0.gir to build-depend on it by
    its systematic name gir1.2-gnomebluetooth-3.0.

 -- Simon McVittie <smcv@debian.org>  Sun, 31 Dec 2023 14:39:46 +0000

gnome-bluetooth3 (42.7-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 09:38:20 -0500

gnome-bluetooth3 (42.6-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release

  [ Simon McVittie ]
  * d/clean: Clean up tests/__pycache__/ (Closes: #1044612)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 08:39:27 -0400

gnome-bluetooth3 (42.5-3) unstable; urgency=medium

  * Drop Provides: gnome-bluetooth from gnome-bluetooth-sendto
    (Closes: #1030126)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 07 Feb 2023 16:39:53 -0500

gnome-bluetooth3 (42.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Jeremy Bicha ]
  * debian/rules: Drop apparently unnecessary NO_AT_BRIDGE=1
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 11 Jan 2023 15:22:25 -0500

gnome-bluetooth3 (42.5-1) unstable; urgency=medium

  * New upstream release
  * Add ayatana-indicator-bluetooth to gnome-bluetooth-sendto's alternate
    Recommends

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Dec 2022 16:55:01 -0500

gnome-bluetooth3 (42.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 09:49:59 -0400

gnome-bluetooth3 (42.3-3) unstable; urgency=medium

  * Rebuild after NEW acceptance

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Aug 2022 16:28:54 -0400

gnome-bluetooth3 (42.3-2) unstable; urgency=medium

  * Build gnome-bluetooth-sendto, a GTK4 version of the mini-app
    formerly installed as gnome-bluetooth
  * Set versioned Provides for gnome-bluetooth

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 10:45:39 -0400

gnome-bluetooth3 (42.3-1) unstable; urgency=medium

  * New upstream release
  * debian/libgnome-bluetooth-3.0-13.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 10:15:58 -0400

gnome-bluetooth3 (42.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 28 Jul 2022 13:54:46 -0400

gnome-bluetooth3 (42.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Jun 2022 16:01:52 +0300

gnome-bluetooth3 (42.0-5) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Add a trivial autopkgtest for gir1.2-gnomebluetooth-3.0

  [ Simon McVittie ]
  * d/upstream/metadata: Add

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 10 Apr 2022 07:31:08 -0400

gnome-bluetooth3 (42.0-4) unstable; urgency=medium

  * Team upload
  * gir1.2-bluetooth-3.0 Breaks gnome-shell (<< 42~alpha).
    Earlier versions of gnome-shell imported GnomeBluetooth without
    specifying a version number, and expected to get API version 1.0.
    Similar to bug #1008926.

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Apr 2022 17:03:52 +0100

gnome-bluetooth3 (42.0-3) unstable; urgency=medium

  * Fix typo in Breaks/Replaces (Closes: #1008743)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 31 Mar 2022 12:47:38 -0400

gnome-bluetooth3 (42.0-2) unstable; urgency=medium

  * Have libgnome-bluetooth-ui-3.0-dev install its headers,
    not the other -dev package. Thanks to Diego Escalante Urrelo

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Mar 2022 15:30:26 -0400

gnome-bluetooth3 (42.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 18:21:59 -0400

gnome-bluetooth3 (42~rc-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 10 Mar 2022 08:42:07 -0500

gnome-bluetooth3 (42~beta.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum python-dbusmock for build tests to 0.26.1
  * Update -dev package dependencies based on their pkgconfig files
  * Release to unstable

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 25 Feb 2022 15:57:13 -0500

gnome-bluetooth3 (42~beta-1) experimental; urgency=medium

  * Rename source package for new series
  * New upstream release
  * Drop patch: applied in new release
  * Add patch to skip new test that fails
  * Don't build gnome-bluetooth-sendto: it doesn't work yet
  * Add libgnome-bluetooth-doc and libgnome-bluetooth-3-common packages

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 22 Feb 2022 15:12:12 -0500

gnome-bluetooth (3.34.5-5) unstable; urgency=medium

  * Cherry-pick patch to fix build with latest meson (Closes: #1005560)

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 18 Feb 2022 16:21:00 -0500

gnome-bluetooth (3.34.5-4) unstable; urgency=medium

  * Use NO_AT_BRIDGE=1 instead of at-spi2-core Build-Depends
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 21 Aug 2021 08:00:10 -0400

gnome-bluetooth (3.34.5-3) experimental; urgency=medium

  [ Laurent Bigonville ]
  * debian/control.in: Add xauth to the BD, this is needed for the tests
  * debian/control.in: Bump Standards-Version to 4.5.1 (no further changes)
  * debian/control.in: Add libglib2.0-doc and libgtk-3-doc to the BD to
    properly resolv links between documentation files

  [ Jeremy Bicha ]
  * Build-Depend on at-spi2-core for build tests
  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * debian/rules: Drop unneeded -Wl,--as-needed

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 20 Aug 2021 21:18:44 -0400

gnome-bluetooth (3.34.5-2) experimental; urgency=medium

  * debian/control.in, debian/rules:
    - require python3-dbusmock 0.23.0 now that it's available and make
      the build fail again on tests errors.

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 18 Jun 2021 15:27:28 +0200

gnome-bluetooth (3.34.5-1) experimental; urgency=medium

  * New upstream release:
    - the "Cancel" button works now when pairing keyboards
      (lp: #1845163)
  * New upstream release
  * debian/libgnome-bluetooth13.symbols:
    - updated symbols list for the new version
  * debian/control.in:
    - updated the build requirements for the new integration tests
  * debian/rules:
    - don't make the tests fail the build, those are new and depending on
      python-dbusmock features that are not available in Debian yet
    - use xvfb for the integration tests

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 23 Mar 2021 20:39:10 +0100

gnome-bluetooth (3.34.3-2) unstable; urgency=medium

  * debian/gnome-bluetooth.docs: refreshed to follow upstream renaming

 -- Sebastien Bacher <seb128@debian.org>  Fri, 02 Oct 2020 11:25:06 +0200

gnome-bluetooth (3.34.3-1) unstable; urgency=medium

  * New upstream release:
    - Work-around intermittent connection problems by disabling
      discovery when connecting to devices (lp: #1870356)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Oct 2020 17:15:36 +0200

gnome-bluetooth (3.34.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Mar 2020 09:32:53 +0100

gnome-bluetooth (3.34.0-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/client-Disconnect-all-signal-handlers-when-client-is-disp.patch:
    Mark as applied upstream for 3.33.91

  [ Sebastien Bacher ]
  * New upstream release
  * Remove the patch applied in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2019 09:28:42 +0200

gnome-bluetooth (3.33.90-2) experimental; urgency=medium

  * Team upload
  * d/p/client-Disconnect-all-signal-handlers-when-client-is-disp.patch:
    Add proposed patch to avoid GNOME Shell crashes when
    gnome-shell-extension-bluetooth-quick-connect is used
    (Closes: #932405)
  * Standards-Version: 4.4.0 (no changes required)
  * Set Rules-Requires-Root to no
  * Use debhelper-compat 12

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Aug 2019 16:17:51 +0100

gnome-bluetooth (3.33.90-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Aug 2019 17:28:06 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgnome-bluetooth-ui-3.0-13`.
